import { SnowpackPluginFactory } from 'snowpack';
export { styleResourceManager } from './styleResource';
export interface pluginOptions {
    /** @default 'angular.json' */
    angularJson?: string;
    /** @default defaultProject in angular.json */
    angularProject?: string;
    /** @default [] */
    ngccTargets?: string[];
    /** @default true */
    errorToBrowser?: boolean;
    /**
     * @default false
     * This would only work on Angular11 projects, as it will use the hmr accept logic from Angular11
     */
    useHmr?: boolean;
}
declare const pluginFactory: SnowpackPluginFactory<pluginOptions>;
export default pluginFactory;
