import * as ng from '@angular/compiler-cli';
import * as ts from 'typescript';
export interface TemplateDiagnostic extends ts.Diagnostic {
    componentFile: ts.SourceFile;
}
export declare const isTemplateDiagnostic: (diagnostic: ts.Diagnostic) => diagnostic is TemplateDiagnostic;
export declare const runTypeCheck: (rootNames: string[], options: ng.CompilerOptions, program?: ng.Program | undefined, host?: ng.CompilerHost | undefined) => ng.Diagnostics;
export declare const getTSDiagnosticErrorFile: (diagnostics: ng.Diagnostics) => string[];
export declare const getTSDiagnosticErrorInFile: (filePath: string, diagnostics: ng.Diagnostics) => ts.Diagnostic[];
export declare const tsFormatDiagnosticHost: ts.FormatDiagnosticsHost;
