/// <reference types="node" />
import worker from 'worker_threads';
import * as ng from '@angular/compiler-cli';
export declare type TypeCheckWorkerAction = 'run_check';
export declare type TypeCheckWorker = worker.Worker;
export interface TypeCheckArgs {
    data: {
        rootNames: string[];
        options: ng.CompilerOptions;
    };
    action: TypeCheckWorkerAction;
}
export declare const createTypeCheckWorker: () => worker.Worker;
